<?
    $client = Cubix_Api_XmlRpc_Client::getInstance();
    $escort_model = new Model_Escorts();
?>

<div id="comments_container" class="escorts">

    <?= $this->render('comments/filter-panel.phtml') ?>

    <div class="comments-container inner-section no-padding-mobile">
        <div class="comments-list view-list d-flex flex-row flex-fill flex-wrap justify-content-between justify-content-md-around justify-content-lg-start">
            <? if (count($this->comments) > 0): ?>
                <? foreach ($this->comments as $comment): ?>

                    <!-- Item -->
                    <div class="escort-item d-flex flex-fill">

                        <a href="javascript:void(0)" data-toggle="modal" data-target="#modalCarousel-gallery">
                            <div class="image-container desktop">
                                <a href="<?= $this->getLink('profile', array('showname' => $comment['escort']['showname'], 'escort_id' => $comment['escort']['escort_id'])) ?>">
                                    <div class="image" style="background-image: url(<?= $comment['escort']['photo'] ?>)"></div>
                                </a>
                            </div>
                        </a>

                        <div class="info-container">
                            <div class="info d-flex align-items-center">
                                <div class="image mobile" style="background-image: url(<?= $comment['escort']['photo'] ?>);"></div>
                                <div class="d-flex flex-wrap flex-md-nowrap align-items-center">
                                    <? if ($comment['escort']['is_vip']): ?>
                                        <div class="vip-status uppercase"><?= __('vip') ?></div>
                                    <? endif; ?>

                                    <div class="name weight"><a href="<?= $this->getLink('profile', array('showname' => $comment['escort']['showname'], 'escort_id' => $comment['escort']['escort_id'])) ?>"><?= $comment['escort']['showname'] ?> </a></div>

                                    <div class="comment-status uppercase"
                                         onclick="Sceon.private_message_popup('escort-<?=   $comment['escort']['escort_id'] ?>')">
                                        pm
                                    </div>

                                    <div class="text-grey d-flex align-items-center"><span
                                                class="desktop"><?= $comment['escort']['age'] ?></span><span
                                                class="point desktop"></span><?= $comment['escort']['city_title'] . ', ' . $comment['escort']['country_title'] ?>
                                    </div>

                                    <? if ($comment['escort']['is_agency'] == 0): ?>
                                        <div class="type-escort mobile"><?= __('independent_escort') ?></div>
                                    <? endif; ?>
                                </div>
                            </div>
                            <div class="clear mb-10"></div>
                            <div class="badges d-flex">
                                <? if ($comment['escort']['verified_status'] > 0): ?>
                                    <div class="secure-acc d-flex justify-content-center">
                                        <div class="badge-image"></div>
                                    </div>
                                <? endif; ?>

                                <? if ($comment['escort']['is_new']): ?>
                                    <div class="new-acc d-flex justify-content-center">
                                        <div class="badge-image"></div>
                                    </div>
                                <? endif; ?>

                                <? if ($comment['escort']['is_vip']): ?>
                                    <div class="vip-acc d-flex justify-content-center">
                                        <div class="badge-image"></div>
                                    </div>
                                <? endif; ?>
                            </div>
                            <div class="comments-list-container">

                                <? if (count($comment['comments']) > 0): ?>
                                    <? foreach ($comment['comments'] as $escortComment): ?>

                                        <div class="comment">
                                            <div class="comment-top d-flex align-items-center">
                                                <div class="avatar"><i class="fas fa-user"></i></div>
                                                <div class="comment-name">
                                                    <span class="red"><?= $escortComment->username ?></span>
                                                </div>
                                                <div class="comment-date text-grey"><?= date(" d/m/Y", strtotime($escortComment->time)); ?></div>

                                                <? if ($escortComment->user_type == 'member'): ?>
                                                    <? $PmIsBlockedByUser = $client->call('Users.getPmIsBlockedByUserId', array($comment->user_id));?>
                                                    <? if (!$current_user->pm_is_blocked && !$PmIsBlockedByUser) :?>
                                                        <div class="comment-status uppercase"
                                                             onclick="Sceon.private_message_popup('member-<?= $escortComment->user_id ?>')">
                                                            pm
                                                        </div>
                                                    <? endif;?>
                                                <? else: ?>
                                                    <? $escort = $escort_model->getByUserId($escortComment->user_id); ?>
                                                    <? if (!$current_user->pm_is_blocked && !$escort->pm_is_blocked) :?>
                                                        <div class="comment-status uppercase"
                                                             onclick="Sceon.private_message_popup('escort-<?=  $escort->id ?>')">
                                                            pm
                                                        </div>
                                                    <? endif;?>
                                                <? endif; ?>
                                            </div>
                                            <div class="comment-content">
                                                <?
                                                if ($escortComment->status == COMMENT_ACTIVE)
                                                    echo $escortComment->message;
                                                else
                                                    echo $this->t('comment_remove_note');
                                                ?>
                                            </div>
                                        </div>
                                    <? endforeach; ?>
                                <? endif; ?>
                            </div>
                        </div>
                    </div>
                    <!-- /Item -->

                <? endforeach; ?>

                <!-- <Pagination> -->
                <?= $this->render('comments/pagination.phtml') ?>
                <!-- </Pagination> -->

            <? else: ?>
                <p style="margin-bottom: 0"><?= $this->t('no_comments_for_this_location') ?></p>
            <? endif; ?>
        </div>
    </div>
</div>

